%Response specrum found with fast fourier transform

function k=ResponseSpectrum(aa,t)
%Length of signal
    L = length(aa);
    
%Sample time and sample frequency
                     
    Fs= L/t;                

%Response from simulation
    y=aa;
    
    
%Number of  sections in the fourier transform  
    NFFT = 2^nextpow2(L);
    
%Fast fourier transform    
    Y=fft(y, NFFT)/L;
    
%Frequencies and corresponding amplitudes 
    f = Fs/2*linspace(0,1,NFFT/2+1);
    Y2=2*abs(Y(1:NFFT/2+1));

%Finding dominating frequency   (excluding very small frequencies)
    [maks, place]=max(Y2);
    k=f(place);

% Plot single-sided amplitude spectrum.
%     figure
%     title('FFT of decaytest in 2y')
%     plot(f,Y2) 
%     xlabel('Frequency (Hz)')
%     ylabel('|Y(f)|')