function cos_theta_diag = calculate_cos_theta_diag(theta)
%
% Returns a diagonal matrix of the cosinus values of the joint angles.
%

global n cos_theta_diag

cos_theta = zeros(n, 1);

for i=1:n
    cos_theta(i, 1) = cos(theta(i));
end

cos_theta_diag = diag(cos_theta);
