function sin_theta_diag = calculate_sin_theta_diag(theta)
%
% Returns a diagonal matrix of the sinus values of the joint angles.
%

global n sin_theta_diag

sin_theta = zeros(n, 1);

for i=1:n
    sin_theta(i, 1) = sin(theta(i));
end

sin_theta_diag = diag(sin_theta);
