function z = calculate_z(theta, p_h, p_CM)
%
% Calculates and returns the position of each link of the snake.
%

global l_N_tr e sin_theta_diag cos_theta_diag


sin_theta = sin_theta_diag*e;
cos_theta = cos_theta_diag*e;


%=======================================================
% Position as a function of the CM position
%=======================================================

% Position of each link in the global x direction
x = -l_N_tr*cos_theta + e*p_CM(1, 1);

% Position of each link in the global y direction
y = -l_N_tr*sin_theta + e*p_CM(2, 1);

% Constructs the return vector
z = [x ; y];
