function [phi_dot_dot, theta_dot_dot, p_CM_dot_dot] = calculate_q_dot_dot_CM(t, theta_dot, fx,...
    fy, fxt, fyt, tau, tau_t, u, C_beta_psi, S_beta_psi, B, c_psi, s_psi,a,S);
%
% Calculates and returns the acceleration of theta and p_CM and the constraint joint forces
% for each link of the snake robot. Theta are the absolute link angles and
% p_CM is the position of the center of mass of the snake.
%

global n l J A D e E  N l_N l_N_tr V N_N_tr V_x_a V_y_a m...
sin_theta_diag cos_theta_diag  M_temp mi_n cn ct lambda1 lambda2 lambda3 m_tot K A_1 teller...
t_save qw ro

%Calculate useful matrixes
% if teller==500
%     stopp
% end
% teller=teller+1
% B=zeros(n,n);
% B_2=zeros(n,n);
% B_3=zeros(n,n);
% B_4=zeros(n,n);
% S=zeros(n,n);
% b_mean=0;
Mtot=[m_tot+e'*mi_n*sin_theta_diag*sin_theta_diag*e+e'*S_beta_psi*pi*ro*S*B.^2*s_psi*e,...
    -e'*mi_n*sin_theta_diag*cos_theta_diag*e+e'*S_beta_psi*pi*ro*S*B.^2*c_psi*e;...
    -e'*mi_n*sin_theta_diag*cos_theta_diag*e+e'*C_beta_psi*pi*ro*S*B.^2*s_psi*e,...
    m_tot+e'*mi_n*cos_theta_diag*cos_theta_diag*e+e'*C_beta_psi*pi*ro*S*B.^2*c_psi*e;];

Mtot_inv=Mtot\eye(2);



M11=Mtot_inv(1,1); M12=Mtot_inv(1,2); M21=Mtot_inv(2,1); M22=Mtot_inv(2,2);


K_sx=l*sin_theta_diag*A'*((D*D')\D)*(m+mi_n*sin_theta_diag*sin_theta_diag)*e;
K_sy=l*sin_theta_diag*A'*((D*D')\D)*(-mi_n*sin_theta_diag*cos_theta_diag)*e;
K_cx=l*cos_theta_diag*A'*((D*D')\D)*(mi_n*sin_theta_diag*cos_theta_diag)*e;
K_cy=l*cos_theta_diag*A'*((D*D')\D)*(-m-mi_n*cos_theta_diag*cos_theta_diag)*e;

K_xt=-l*sin_theta_diag*A'*((D*D')\D)*S_beta_psi*pi*ro*S;%*B_2(s_psi*K*cos_theta_diag+c_psi*K*sin_theta_diag)
K_yt=+l*cos_theta_diag*A'*((D*D')\D)*C_beta_psi*pi*ro*S;%*B_2(s_psi*K*cos_theta_diag+c_psi*K*sin_theta_diag)

K1=(-M11*e'*mi_n*sin_theta_diag*sin_theta_diag+M11*e'*S_beta_psi*ro*pi*S*B.^2*s_psi...
    +M12*e'*mi_n*sin_theta_diag*cos_theta_diag+M12*e'*C_beta_psi*ro*pi*S*B.^2*s_psi)*K*sin_theta_diag...
    +(-M11*e'*mi_n*sin_theta_diag*cos_theta_diag-M11*e'*S_beta_psi*ro*pi*S*B.^2*c_psi...
    +M12*e'*mi_n*cos_theta_diag*cos_theta_diag-M12*e'*C_beta_psi*ro*pi*S*B.^2*c_psi)*K*cos_theta_diag...
    -M11*e'*S_beta_psi*ro*pi*S*B.^3*a-M11*e'*C_beta_psi*ro*pi*S*B.^3*a;
 
K2=(-M11*e'*mi_n*sin_theta_diag*sin_theta_diag+M11*e'*S_beta_psi*ro*pi*S*B.^2*s_psi...
    +M12*e'*mi_n*sin_theta_diag*cos_theta_diag+M12*e'*C_beta_psi*ro*pi*S*B.^2*s_psi)*K*cos_theta_diag...
    +(M11*e'*mi_n*sin_theta_diag*cos_theta_diag+M11*e'*S_beta_psi*ro*pi*S*B.^2*c_psi...
    -M12*e'*mi_n*cos_theta_diag*cos_theta_diag+M12*e'*C_beta_psi*ro*pi*S*B.^2*c_psi)*K*sin_theta_diag;

K3=M11*e'*mi_n*sin_theta_diag*cos_theta_diag*V_x_a-M12*e'*mi_n*cos_theta_diag*cos_theta_diag*V_x_a...
    +M11*e'*mi_n*sin_theta_diag*sin_theta_diag*V_y_a-M12*e'*mi_n*sin_theta_diag*cos_theta_diag*V_y_a;

K4=(-M21*e'*mi_n*sin_theta_diag*sin_theta_diag+M21*e'*S_beta_psi*ro*pi*S*B.^2*s_psi...
    +M22*e'*mi_n*sin_theta_diag*cos_theta_diag+M22*e'*C_beta_psi*ro*pi*S*B.^2*s_psi)*K*sin_theta_diag...
    +(-M21*e'*mi_n*sin_theta_diag*cos_theta_diag-M21*e'*S_beta_psi*ro*pi*S*B.^2*c_psi...
    +M22*e'*mi_n*cos_theta_diag*cos_theta_diag-M22*e'*C_beta_psi*ro*pi*S*B.^2*c_psi)*K*cos_theta_diag...
    -M21*e'*S_beta_psi*ro*pi*S*B.^3*a-M22*e'*C_beta_psi*ro*pi*S*B.^3*a;
 

K5=(-M21*e'*mi_n*sin_theta_diag*sin_theta_diag+M21*e'*S_beta_psi*ro*pi*S*B.^2*s_psi...
    +M22*e'*mi_n*sin_theta_diag*cos_theta_diag+M22*e'*C_beta_psi*ro*pi*S*B.^2*s_psi)*K*cos_theta_diag...
    +(M21*e'*mi_n*sin_theta_diag*cos_theta_diag+M21*e'*S_beta_psi*ro*pi*S*B.^2*c_psi...
    -M22*e'*mi_n*cos_theta_diag*cos_theta_diag+M22*e'*C_beta_psi*ro*pi*S*B.^2*c_psi)*K*sin_theta_diag;

K6=M21*e'*mi_n*sin_theta_diag*cos_theta_diag*V_x_a-M22*e'*mi_n*cos_theta_diag*cos_theta_diag*V_x_a...
    +M21*e'*mi_n*sin_theta_diag*sin_theta_diag*V_y_a-M22*e'*mi_n*sin_theta_diag*cos_theta_diag*V_y_a;


% Calculates the inertia matrix
M=J+l*sin_theta_diag*V*sin_theta_diag+l*cos_theta_diag*V*cos_theta_diag...
    +lambda1+sin_theta_diag*A_1*(sin_theta_diag*sin_theta_diag*K*sin_theta_diag+sin_theta_diag*cos_theta_diag*K*cos_theta_diag)...
    -cos_theta_diag*A_1*(-sin_theta_diag*cos_theta_diag*K*sin_theta_diag-cos_theta_diag*cos_theta_diag*K*cos_theta_diag)...
    +(K_sx+K_cx+S*pi*ro*B.^3*a*s_psi*e+(-K_xt-K_yt)*B.^2*s_psi*e)*K1...
    +(K_sy+K_cy+S*pi*ro*B.^3*a*c_psi*e+(-K_xt-K_yt)*B.^2*c_psi*e)*K4...
    +(K_xt+K_yt)*(-B.^2*(s_psi*K*sin_theta_diag-c_psi*K*cos_theta_diag)-B.^3*a)...
    +S*pi*ro*(B.^4*(1/8+a^2)-B.^3*a*(s_psi*K*sin_theta_diag-c_psi*K*cos_theta_diag));


% Calculates various other matrices
W = l*sin_theta_diag*V*cos_theta_diag-l*cos_theta_diag*V*sin_theta_diag...
    +sin_theta_diag*A_1*(sin_theta_diag*sin_theta_diag*K*sin_theta_diag-sin_theta_diag*cos_theta_diag*K*sin_theta_diag)...
    -cos_theta_diag*A_1*(cos_theta_diag*cos_theta_diag*K*sin_theta_diag-sin_theta_diag*cos_theta_diag*K*cos_theta_diag)...
    +(K_sx+K_cx+S*pi*ro*B.^3*a*s_psi*e+(-K_xt-K_yt)*B.^2*s_psi*e)*K2...
    +(K_sy+K_cy+S*pi*ro*B.^3*a*c_psi*e+(-K_xt-K_yt)*B.^2*c_psi*e)*K5...
    +(K_xt+K_yt)*(-B.^2*(s_psi*K*cos_theta_diag+c_psi*K*sin_theta_diag)-B.^3*a)...
    +S*pi*ro*(-B.^3*a*(s_psi*K*cos_theta_diag+c_psi*K*sin_theta_diag));


V_theta=lambda2+sin_theta_diag*A_1*(-sin_theta_diag*cos_theta_diag*V_x_a-sin_theta_diag*sin_theta_diag*V_y_a)...
    -cos_theta_diag*A_1*(cos_theta_diag*cos_theta_diag*V_x_a+sin_theta_diag*cos_theta_diag*V_y_a)...
    +(K_sx+K_cx+S*pi*ro*B.^3*a*s_psi*e+(-K_xt-K_yt)*B.^2*s_psi*e)*K3...
    +(K_sy+K_cy+S*pi*ro*B.^3*a*c_psi*e+(-K_xt-K_yt)*B.^2*c_psi*e)*K6;

K_x=-l*sin_theta_diag*A'*((D*D')\D)+(K_sx+K_cx+S*pi*ro*B.^3*a*s_psi*e+(-K_xt-K_yt)*B.^2*s_psi*e)*M11*e'...
    +(K_sy+K_cy+S*pi*ro*B.^3*a*c_psi*e+(-K_xt-K_yt)*B.^2*c_psi*e)*M21*e';
K_y=l*cos_theta_diag*A'*((D*D')\D)+(K_sx+K_cx+S*pi*ro*B.^3*a*s_psi*e+(-K_xt-K_yt)*B.^2*s_psi*e)*M12*e'...
    +(K_sy+K_cy+S*pi*ro*B.^3*a*c_psi*e+(-K_xt-K_yt)*B.^2*c_psi*e)*M22*e';
    

% Calculates a vector of squared angular link velocities
theta_dot_sq = zeros(n, 1);
theta_dot_abs = zeros(n, 1);

for i = 1:n
    theta_dot_sq(i, 1) = theta_dot(i, 1)*theta_dot(i, 1);
    theta_dot_abs(i, 1) = theta_dot(i, 1)*abs(theta_dot(i, 1));
end

% Constructs the inertia matrix of the system

M_inv=M\eye(n);
% if qw>200
% stoo
% end
% qw=qw+1;
% Calculates a matrix related to Coriolis and centripetal forces
W_th=W*theta_dot_sq+V_theta*theta_dot+lambda3*theta_dot_abs...
    +K_x*(fx+fxt)+K_y*(fy+fyt);

% Calculates the theta_dot_dot
theta_dot_dot =M_inv*(D'*u-W_th+tau_t);


px_dot_dot=K1*theta_dot_dot+K2*theta_dot_sq+K3*theta_dot+M11*e'*(fx+fxt)+M12*e'*(fy+fyt)...
    -e'*(M11*S_beta_psi*ro*pi*B.^3*a+M12*C_beta_psi*ro*pi*B.^3*a)*theta_dot_dot;
py_dot_dot=K4*theta_dot_dot+K5*theta_dot_sq+K6*theta_dot+M21*e'*(fx+fxt)+M22*e'*(fy+fyt)...
    -e'*(M21*S_beta_psi*ro*pi*B.^3*a+M22*C_beta_psi*ro*pi*B.^3*a)*theta_dot_dot;

p_CM_dot_dot=[px_dot_dot;py_dot_dot];

%teller=[teller;M(1)];
t_save=[t_save;t];
%zfsd=-lambda1*theta_dot_dot-lambda2*theta_dot-lambda3*theta_dot_abs
% Calculates the joint angle acceleration
phi_dot_dot=D*theta_dot_dot;