window = figure(26);
    set(window, 'color', 'white');
    plot(save_speed,save_work,'r')
    grid on
    xlabel('U [m/s]','FontSize',28);
    ylabel('W/m [Nm/m]','FontSize',28,'interpreter','latex');
    set(gca,'FontSize',18)
    
    window = figure(27);
    set(window, 'color', 'white');
    plot(save_speed,save_vm_10,'r')
    hold on
    plot(save_speed,save_vm_7,'r')
    plot(save_speed,save_vm_3,'b')
    hold off
    grid on
    xlabel('U [m/s]','FontSize',28);
    ylabel('Vm [m/s]','FontSize',28,'interpreter','latex');
    set(gca,'FontSize',18)
    legend('link 10','link 7','link 3')
    T=[4.53, 3.62, 3.01, 2.541, 2.26, 2, 1.8, 1.634, 1.5070];
    kc_10=(save_vm_10.*T)./0.05;
    kc_7=(save_vm_7.*T)./0.05;
    kc_3=(save_vm_3.*T)./0.05;
    
    
    window = figure(28);
    set(window, 'color', 'white');
    plot(save_speed,kc_10,'r')
    hold on
    plot(save_speed,kc_7,'b')
    plot(save_speed,kc_3,'m')
    grid on
    xlabel('U [m/s]','FontSize',28);
    ylabel('KC [-]','FontSize',28,'interpreter','latex');
    set(gca,'FontSize',18)
    legend('link 10','link 7','link 3')
    