function [fxt, fyt, tau_t, delta]=StiffTail(z, z_dot, theta, p_CM, p_CM_dot, theta_dot,c_d, h_d , link, c_c, h_c)

global V_x_a V_y_a ro v_dot_dot_old n K sin_theta_diag cos_theta_diag e qw l z_old theta_old

int=n;
b=c_c./2;
h_t=h_c;
ii=size(b);
ii=ii(1);
theta_dot_dot=v_dot_dot_old((n+3):2*n+2);
p_CM_dot_dot=v_dot_dot_old((2*n+3):2*n+4);

 fxt=zeros(n, 1);
 fyt=zeros(n, 1);
 tau_t=zeros(n, 1);
% if theta(int)-theta_old(int)==0
%     a=ones(ii,1)*0.5;
% else
% a=(sqrt((z(2*int)-z_old(2*int))^2+(z(int)-z_old(int))^2)*cos(theta(int)-theta_old(int))/sin(theta(int)-theta_old(int)))./b
% end
a=(-0.5-l(n,n)./b);%sqrt((p_CM(1)-z(int))^2+(p_CM(2)-z(2*int))^2)./b;


% Calculates a vector of squared angular link velocities
theta_dot_sq = zeros(n, 1);

for i = 1:n
    theta_dot_sq(i, 1) = theta_dot(i, 1)*theta_dot(i, 1);
end

% Linear velocities of each link in the global x direction
x_dot_dot = K*cos_theta_diag*theta_dot_sq + K*sin_theta_diag*theta_dot_dot + e*p_CM_dot_dot(1);

% Linear velocities of each link in the global y direction
y_dot_dot = K*sin_theta_diag*theta_dot_sq + K*cos_theta_diag*theta_dot_dot + e*p_CM_dot_dot(2);



% Calculate the forward velosity and angel
U=sqrt((p_CM_dot(1)-V_x_a(1))^2+(p_CM_dot(2)-V_y_a(1))^2);
psi=atan2((p_CM_dot(2)-V_y_a(1)),(p_CM_dot(1)-V_x_a(1)));

%Rotation into U frame
c_c = cos(psi);
s = sin(psi);

R = [c_c -s ; s c_c];

% Velosity in u frame
xy=R*[z(int);z(2*int)];
xy_dot=R*[z_dot(int);z_dot(2*int)];
xy_dot_dot=R*[x_dot_dot(int);y_dot_dot(int)];


h=-xy(2);
h_dot=-xy_dot(2);
h_dot_dot=-xy_dot_dot(2);

%drag friction
Rn=U*c_c/(1*10^(-6));
Cf=0.075/log10(Rn-2)^2;
t_max=0.16*c_c;
if Rn <= 2
    Cdf=0;
else
Cdf=2*Cf*(1+2*t_max/c_c);
end

if h_dot==0 & U==0
    beta=0;
else
    beta=atan(h_dot/U);
end


delta=theta(int)-psi;
delta_dot=theta_dot(int);
delta_dot_dot=theta_dot_dot(int);


% ii=size(b);
% ii=ii(1);
L=zeros(ii,1);
tau=zeros(ii,1);

for jj=1:ii
    if h_dot==0 & U==0
        if delta_dot<0.00001 & U==0
            L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta))*h_t;
        else
            L(jj)=(pi*ro*b^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta+atan((b(jj)*delta_dot)/U*(0.5-a(jj)))))*h_t;
        end
    elseif delta_dot<0.00001 & U==0
        L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta+beta))*h_t;
    else
        L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta+beta+atan((b(jj)*delta_dot)/U*(0.5-a(jj)))))*h_t;
    end

    if h_dot==0 & U==0
        if delta_dot==0 & U==0
            tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8*a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta);
        else
            tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8*a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta+atan(b(jj)*delta_dot/U*(0.5-a(jj))));
        end
    elseif delta_dot==0 & U==0
        tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8+a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta+atan(h_dot/U));
    else
        tau(jj)=(-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8+a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta+atan(h_dot/U)+atan(b(jj)*delta_dot/U*(0.5-a(jj)))))*h_c;
    end
end
L=sum(L);
%Drag indused
A=h_t*c_c*2;
Asp=h_t./c_c;
if U==0
    Cl=0;
else
Cl=0;%L/(0.5*ro*U^2);
end
Cdi=Cl^2./(pi*Asp);
D=sum(0.5*ro*(Cdf'+Cdi')*A*U^2);

tau_t(int)=sum(tau);
fxt(int)=-(L*sin(beta+psi)-D*cos(beta+psi));
fyt(int)=(L*cos(beta+psi)+D*sin(beta+psi));
z_old=z;

%%%%%
%Dorsal finn
%%%%%%%

if link ~= 0
    b=c_d./2;
    a=(-0.5-l(n,n)./b);
    %a=sqrt((p_CM(1)-z(int))^2+(p_CM(2)-z(2*int))^2)./b;
    
    % Velosity in u frame
xy=R*[z(link);z(2*link)];
xy_dot=R*[z_dot(link);z_dot(2*link)];
xy_dot_dot=R*[x_dot_dot(link);y_dot_dot(link)];


h=xy(2);
h_dot=xy_dot(2);
h_dot_dot=xy_dot_dot(2);

%drag friction
Rn=U*c_c/(1*10^(-6));
Cf=0.075/log10(Rn-2)^2;
t_max=0.16*c_d;
if Rn <= 2
    Cdf=0;
else
Cdf=2*Cf*(1+2*t_max./c_c);
end

if h_dot==0 & U==0
    beta=0;
else
    beta=atan(h_dot/U);
end


delta=theta(link)-psi;
delta_dot=theta_dot(link);
delta_dot_dot=theta_dot_dot(link);


ii=size(b);
ii=ii(1);
L=zeros(ii,1);
tau=zeros(ii,1);

for jj=1:ii
    if h_dot==0 & U==0
        if delta_dot==0 & U==0
            L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta))*h_t;
        else
            L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta+atan((b(jj)*delta_dot)/U*(0.5-a(jj)))))*h_t;
        end
    elseif delta_dot==0 & U==0
        L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta+beta))*h_t;
    else
        L(jj)=(pi*ro*b(jj)^2*(h_dot_dot+U*delta_dot-b(jj)*a(jj)*delta_dot_dot)+2*pi*ro*U^2*b(jj)*(delta+beta+atan((b(jj)*delta_dot)/U*(0.5-a(jj)))))*h_t;
    end

    if h_dot==0 & U==0
        if delta_dot==0 & U==0
            tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8*a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta);
        else
            tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8*a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta+atan(b(jj)*delta_dot/U*(0.5-a(jj))));
        end
    elseif delta_dot==0 & U==0
        tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8*a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta+atan(h_dot/U));
    else
        tau(jj)=-pi*ro*b(jj)^2*((0.5-a(jj))*U*b(jj)*delta_dot+b(jj)^2*(1/8*a(jj)^2)*delta_dot_dot-a(jj)*b(jj)*h_dot_dot)+2*pi*ro*U^2*b(jj)^2*(a(jj)-0.5)*(delta+atan(h_dot/U)+atan(b(jj)*delta_dot/U*(0.5-a(jj))));
    end
end
L=sum(L);

%Drag indused
A=h_t*c_d*2;
Asp=h_t./c_d;
if U==0
    Cl=0;
else
Cl=L/(0.5*ro*U^2);
end
Cdi=0;%Cl^2./(pi*Asp);
% D=sum(0.5*ro*(Cdf'+Cdi')*A*U^2);
% 
% tau_t(link)=-sum(tau);
% fxt(link)=L*sin(beta+psi)-D*cos(beta+psi);
% fyt(link)=L*cos(beta+psi)-D*sin(beta+psi);
%     
end

